Developers' Forum

Need Help/Advice

 
Picture of Maryam Mehdigholi
Need Help/Advice
by Maryam Mehdigholi - Monday, 7 August 2017, 6:26 AM
 

Hi all,

Can anyone help me with the following error: 

An error occurred while processing your responses (qtype_coderunner/Language python3 is not available on this system). 

I am at the very new to this. I have installed the two plugins for CodeRunner. I tried a question in java and one in Python and both come up with this error (or in case of java: qtype_coderunner/Language Java) when checking an answer for the question created.

Any suggestions to fix this issue will be greatly appreciated.


Picture of Richard Lobb
Re: Need Help/Advice
by Richard Lobb - Monday, 7 August 2017, 8:10 AM
 

The set of available languages is defined by whatever sandbox(es) is enabled. It sounds like there aren't any!

Log in to Moodle as an administrator and check in the CodeRunner admin panel (Site Administrations > Plugins > CodeRunner) that "Enable jobesandbox" is checked (enabled). Also, while testing I recommend you use the University of Canterbury outward-facing Jobe server,  jobe2.cosc.canterbury.ac.nz with the default API key.

When that's all working you should look into setting up your own Jobe server, but let's get this configuration working first.

Richard

Picture of Maryam Mehdigholi
Re: Need Help/Advice
by Maryam Mehdigholi - Thursday, 10 August 2017, 5:21 AM
 

Hi Richard,

Thank you so much. You solved the issue.

I might need help with setting up my own Jobe server. Any advise will be appreciated.

Rigards,

Maryam

Picture of Richard Lobb
Re: Need Help/Advice
by Richard Lobb - Monday, 14 August 2017, 2:28 PM
 

Good to know the problem is solved.

There are fairly full Jobe install instructions at the Jobe repository (https://github.com/trampgeek/jobe) but if something goes wrong, feel free to ask for help.

Richard

Picture of Maryam Mehdigholi
Re: Need Help/Advice
by Maryam Mehdigholi - Tuesday, 15 August 2017, 8:49 AM
 

Thank you so much for the advice.

Regards,

Maryam

Picture of serap akgoz
Re: Need Help/Advice
by serap akgoz - Wednesday, 23 August 2017, 1:29 AM
 

hi,

I couldnt see coderunner in plugins, i just see below, but i can not do anything. help pls



ss

ss


Picture of Maryam Mehdigholi
Re: Need Help/Advice
by Maryam Mehdigholi - Wednesday, 23 August 2017, 2:11 AM
 

Hi serap akgoz,

You are going down the wrong path.. Go Site Administrator > Advance Features > Plugins > Plugins overview > then on the right hand side (I have to scroll down to the middle) you will see CodeRunner and the settings in front of it.

I hope this helps.

Maryam 

Picture of serap akgoz
Re: Need Help/Advice
by serap akgoz - Wednesday, 23 August 2017, 5:44 PM
 

actually i saw what you say but i can not do anything. It looks disabled and can not see setting page.

s

Picture of Richard Lobb
Re: Need Help/Advice
by Richard Lobb - Wednesday, 23 August 2017, 7:49 PM
 

Do you have the latest version of the qbehaviour_adaptive_adapted_for_coderunner behaviour installed? It's available from here in the Moodle plugins repository or here on GitHut. CodeRunner will be disabled if the dependency isn't satisfied.

Richard

Picture of serap akgoz
Re: Need Help/Advice
by serap akgoz - Wednesday, 23 August 2017, 8:39 PM
 

oooh yes i have, have to uninstall?s

Picture of Richard Lobb
Re: Need Help/Advice
by Richard Lobb - Thursday, 24 August 2017, 10:21 AM
 

I don't really know what has happened here. I see that it's not the latest version of the behaviour but I don't know why it's disabled. You could try upgrading it to the latest version but I suspect that won't help. Does the Moodle notifications page suggest anything?

Has this problem occurred with a fresh install of CodeRunner or did you used to have a working version which has now stopped working? If it used to work, what happened just before it stopped working?

If no-one here has any suggestions you might have to try a more general Moodle forum. This doesn't look like it's CodeRunner specific.

Richard